REM INFO: Stretch Edges.csc v2.42 (PP8)
REM Copyright  James Aswell, 2000-2006
REM
REM DESCRIPTION:
REM Stretches the edges of an image creating a border effect.

BEGIN DIALOG OBJECT Dialog1 100, 60, "Edge Stretch"
	SPINCONTROL  46, 6, 50, 12, .SpinControl1
	SPINCONTROL  46, 23, 50, 12, .SpinControl2
	TEXT  4, 7, 40, 8, .Text1, "Vertical:"
	TEXT  3, 24, 40, 8, .Text2, "Horizontal:"
	OKBUTTON  4, 42, 92, 14, .OK1
END DIALOG


WITHOBJECT "CorelPhotoPaint.Automation.8"
ON ERROR GOTO ERRORHANDLER

	IF .GetDocumentCount() > 0 THEN
		Width = .GetDocumentWidth()
		Height = .GetDocumentHeight()

		With Dialog1
			.SpinControl1.SETMINRANGE 0
			.SpinControl1.SETMAXRANGE 30000 - Height
			.SpinControl2.SETMINRANGE 0
			.SpinControl2.SETMAXRANGE 30000 - Width
		End With

		retval% = Dialog(Dialog1)
	ENDIF

	IF retval% = 1 THEN
		With Dialog1
			x& = .SpinControl2.GETVALUE()
			y& = .SpinControl1.GETVALUE()
		End With

		.ImagePapersize Width+x&, Height+y&, 0, (-y&), 5, 0, 0, 0, 0
		.EffectOffset x&, y&, FALSE, 1, 5, 0, 0, 0, 0
		.EffectOffset -(x& / 2), -(y& / 2), FALSE, 1, 5, 0, 0, 0, 0
	ENDIF

END WITHOBJECT

ERRORHANDLER:
SELECT CASE ERRNUM
	CASE 0
	CASE 603
		RESUME NEXT
	CASE ELSE
		MESSAGE "Unexpected Error:" + STR(ERRNUM)
		RESUME NEXT
END SELECT
